<?php
$user=$dbc->query("SELECT * FROM `users` WHERE`id`='$_SESSION[id]'")->fetch_assoc();
function mail_mess($hack){
$to='akrupchuk@mail.ru'; //Ваш адрес почтового ящика
global $user;
$from="AntiHack__ $user[nick] __@by_System.info";
$title='Попытка взлома или рекламы на сайте!';
$mess='Данные о взломе/рекламе 
'.$hack.'';
mail($to, $title, $mess, 'From:'.$from);
}
//отражение хакерских запросов
//поставить еденицу если хотите
$debug = 1;
if($_SERVER['REQUEST_URI']!='ТУТ ИСКЛЮЧЕНИЕ ПИШИ'){$bag_req = array("eval","echo","update","insert","select","union","limit","order","where","WHERE","UPDATE", "LIMIT", "INSERT","INTO","UNION","union", "CONCAT", "INFORMATION_SCHEMA","OUTFILE", "DUMPFILE", "LOAD_FILE","BENCHMARK","SUBSTRING", "ASCII","CHAR","database", "HEX", "\\.\\/","%00", "\\.htaccess", "config\\.php","document\\.cookie");}else{$bag_req='eval';}
$request = serialize($_GET);
$urequest = urldecode($request);
$brequest = base64_decode($request);
if($_SERVER['SCRIPT_NAME']!='/mes.php' and $_SERVER['SCRIPT_NAME']!='/ba.php')
{
foreach ($bag_req as $key => $value) {
if(preg_match("/$value/i", $request) ||
preg_match("/$value/i", $urequest) ||
preg_match("/$value/i", $brequest))
{
if($debug == "1") $do_debug = "<br>В
system\'e найден внешний запрос <b>$value</b> ,
который блокирует правильную
работу";
die("Ошибка системы! <br/>Возможна из-за работы антихака или антирекламы!<br/> $do_debug ".mail_mess("
В system\'e найден запрос ( $value ), который блокирует правильную работу
$request
 Действие совершал: $user[login]
Ссылка которую атаковали ".$_SERVER['REQUEST_URI']."")."");
}
}
}
if(isset($_POST) and $_SERVER['SCRIPT_NAME']!='/reg.php' and $_SERVER['SCRIPT_NAME']!='/msg.php' and $_SERVER['SCRIPT_NAME']!='/berin.php' and $_SERVER['SCRIPT_NAME']!='/mes.php' and 
$_SERVER['SCRIPT_NAME']!='/lostpass.php')
{
if($user['id']!='свой ид Саш'){if($_SERVER['REQUEST_URI']!='исключение'){$bag_req = array("eval","echo","update","insert","select","union","limit","order","where","WHERE","UPDATE", "LIMIT", "INSERT","INTO","UNION","union", "CONCAT", "INFORMATION_SCHEMA","OUTFILE", "DUMPFILE", "LOAD_FILE","BENCHMARK","SUBSTRING", "ASCII","CHAR","database", "HEX", "\\.\\/","%00", "\\.htaccess", "config\\.php","document\\.cookie" ,"\.mobi","\.ru","\.su","\.net","\.aux\.su","\.keo\.su","\.wen\.ru","\.info","\.tk","\.info","\.net","\.тк","\.моби","\.ру","\.инфо","\.нет","\.py","\.com","\.ком","\.орг","\.org","\.орк","\.ua","\.юа");}else{$bag_req='eval';}}

$request = str_replace
("selected_language", "sl", serialize
($_POST));
$urequest = urldecode($request);
$brequest = base64_decode($request);
foreach ($bag_req as $key => $value) {
if(preg_match("/$value/i", $request) ||
preg_match("/$value/i", $urequest) ||
preg_match("/$value/i", $brequest))
{
if($debug == "1") $do_debug = "<br>В
массиве найден запрос <b>$value</b> ,
который блокирует правильную
работу<br>$request";
die("Ошибка системы! <br/>Возможна из-за работы антихака или антирекламы!<br/> $do_debug ".mail_mess("
В массиве найден запрос ( $value ), который блокирует правильную работу
$request
Действие совершал: $user[nick]
Ссылка которую атаковали ".$_SERVER['REQUEST_URI']."")."");
}
}
}
?>